curl --request POST \
--url https://api.zippendo.com/orgs/{orgId}/shipments/{shipmentId}/parcels/{parcelId}/batch-split \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shipments": [
{
"orderLines": [
{
"id": "<string>",
"quantity": 123
}
],
"reference": "<string>"
}
],
"carrierId": "<string>",
"productId": "<string>",
"services": [
"<string>"
],
"additionalParameters": {}
}
'{
"originalShipment": {
"id": "<string>",
"reference": "<string>",
"senderAddressId": "<string>",
"parties": [
{
"type": "sender",
"name": "<string>",
"address1": "<string>",
"postalCode": "<string>",
"city": "<string>",
"countryCode": "<string>",
"attributes": [],
"attention": "<string>",
"address2": "<string>",
"email": "jsmith@example.com",
"phone": "<string>"
}
],
"type": "outbound",
"carrierSettings": {
"carrierId": "<string>",
"productId": "<string>",
"services": [
"<string>"
],
"additionalParameters": {}
},
"parcels": [
{
"weight": 1,
"weightUnit": "kg",
"dimensions": {
"length": 1,
"width": 1,
"height": 1
},
"orderLines": [
{
"sku": "<string>",
"quantity": 4503599627370496,
"id": "<string>",
"description": "<string>",
"unitPrice": 1,
"currency": "<string>",
"vatPercent": 1,
"location": "<string>",
"countryOfOrigin": "<string>",
"tarrifNumber": "<string>"
}
],
"id": "<string>"
}
],
"termOfTrade": "DAP",
"status": "draft",
"orgId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"servicePointId": "<string>",
"pickupDetails": {
"date": "<string>",
"from": "<string>",
"to": "<string>",
"instruction": "<string>"
},
"documents": [
{
"id": "<string>",
"shipmentId": "<string>",
"documentType": "label",
"format": "pdf",
"content": "<string>",
"size": "A4",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"tracking": {
"url": "<string>",
"number": "<string>"
},
"orderId": "<string>",
"shippingRuleId": "<string>",
"shippingRule": {
"id": "<string>",
"name": "<string>",
"carrierId": "<string>",
"productId": "<string>",
"services": [
"<string>"
],
"senderAddressId": "<string>",
"returnShippingRuleId": "<string>",
"autoCreateReturnShipment": true
}
},
"newShipments": [
{
"id": "<string>",
"reference": "<string>",
"senderAddressId": "<string>",
"parties": [
{
"type": "sender",
"name": "<string>",
"address1": "<string>",
"postalCode": "<string>",
"city": "<string>",
"countryCode": "<string>",
"attributes": [],
"attention": "<string>",
"address2": "<string>",
"email": "jsmith@example.com",
"phone": "<string>"
}
],
"type": "outbound",
"carrierSettings": {
"carrierId": "<string>",
"productId": "<string>",
"services": [
"<string>"
],
"additionalParameters": {}
},
"parcels": [
{
"weight": 1,
"weightUnit": "kg",
"dimensions": {
"length": 1,
"width": 1,
"height": 1
},
"orderLines": [
{
"sku": "<string>",
"quantity": 4503599627370496,
"id": "<string>",
"description": "<string>",
"unitPrice": 1,
"currency": "<string>",
"vatPercent": 1,
"location": "<string>",
"countryOfOrigin": "<string>",
"tarrifNumber": "<string>"
}
],
"id": "<string>"
}
],
"termOfTrade": "DAP",
"status": "draft",
"orgId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"servicePointId": "<string>",
"pickupDetails": {
"date": "<string>",
"from": "<string>",
"to": "<string>",
"instruction": "<string>"
},
"documents": [
{
"id": "<string>",
"shipmentId": "<string>",
"documentType": "label",
"format": "pdf",
"content": "<string>",
"size": "A4",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"tracking": {
"url": "<string>",
"number": "<string>"
},
"orderId": "<string>",
"shippingRuleId": "<string>",
"shippingRule": {
"id": "<string>",
"name": "<string>",
"carrierId": "<string>",
"productId": "<string>",
"services": [
"<string>"
],
"senderAddressId": "<string>",
"returnShippingRuleId": "<string>",
"autoCreateReturnShipment": true
}
}
]
}Split a parcel into multiple new shipments with quantity support. Allows moving specific quantities of order lines to multiple new shipments in a single atomic operation.
curl --request POST \
--url https://api.zippendo.com/orgs/{orgId}/shipments/{shipmentId}/parcels/{parcelId}/batch-split \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shipments": [
{
"orderLines": [
{
"id": "<string>",
"quantity": 123
}
],
"reference": "<string>"
}
],
"carrierId": "<string>",
"productId": "<string>",
"services": [
"<string>"
],
"additionalParameters": {}
}
'{
"originalShipment": {
"id": "<string>",
"reference": "<string>",
"senderAddressId": "<string>",
"parties": [
{
"type": "sender",
"name": "<string>",
"address1": "<string>",
"postalCode": "<string>",
"city": "<string>",
"countryCode": "<string>",
"attributes": [],
"attention": "<string>",
"address2": "<string>",
"email": "jsmith@example.com",
"phone": "<string>"
}
],
"type": "outbound",
"carrierSettings": {
"carrierId": "<string>",
"productId": "<string>",
"services": [
"<string>"
],
"additionalParameters": {}
},
"parcels": [
{
"weight": 1,
"weightUnit": "kg",
"dimensions": {
"length": 1,
"width": 1,
"height": 1
},
"orderLines": [
{
"sku": "<string>",
"quantity": 4503599627370496,
"id": "<string>",
"description": "<string>",
"unitPrice": 1,
"currency": "<string>",
"vatPercent": 1,
"location": "<string>",
"countryOfOrigin": "<string>",
"tarrifNumber": "<string>"
}
],
"id": "<string>"
}
],
"termOfTrade": "DAP",
"status": "draft",
"orgId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"servicePointId": "<string>",
"pickupDetails": {
"date": "<string>",
"from": "<string>",
"to": "<string>",
"instruction": "<string>"
},
"documents": [
{
"id": "<string>",
"shipmentId": "<string>",
"documentType": "label",
"format": "pdf",
"content": "<string>",
"size": "A4",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"tracking": {
"url": "<string>",
"number": "<string>"
},
"orderId": "<string>",
"shippingRuleId": "<string>",
"shippingRule": {
"id": "<string>",
"name": "<string>",
"carrierId": "<string>",
"productId": "<string>",
"services": [
"<string>"
],
"senderAddressId": "<string>",
"returnShippingRuleId": "<string>",
"autoCreateReturnShipment": true
}
},
"newShipments": [
{
"id": "<string>",
"reference": "<string>",
"senderAddressId": "<string>",
"parties": [
{
"type": "sender",
"name": "<string>",
"address1": "<string>",
"postalCode": "<string>",
"city": "<string>",
"countryCode": "<string>",
"attributes": [],
"attention": "<string>",
"address2": "<string>",
"email": "jsmith@example.com",
"phone": "<string>"
}
],
"type": "outbound",
"carrierSettings": {
"carrierId": "<string>",
"productId": "<string>",
"services": [
"<string>"
],
"additionalParameters": {}
},
"parcels": [
{
"weight": 1,
"weightUnit": "kg",
"dimensions": {
"length": 1,
"width": 1,
"height": 1
},
"orderLines": [
{
"sku": "<string>",
"quantity": 4503599627370496,
"id": "<string>",
"description": "<string>",
"unitPrice": 1,
"currency": "<string>",
"vatPercent": 1,
"location": "<string>",
"countryOfOrigin": "<string>",
"tarrifNumber": "<string>"
}
],
"id": "<string>"
}
],
"termOfTrade": "DAP",
"status": "draft",
"orgId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"servicePointId": "<string>",
"pickupDetails": {
"date": "<string>",
"from": "<string>",
"to": "<string>",
"instruction": "<string>"
},
"documents": [
{
"id": "<string>",
"shipmentId": "<string>",
"documentType": "label",
"format": "pdf",
"content": "<string>",
"size": "A4",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"tracking": {
"url": "<string>",
"number": "<string>"
},
"orderId": "<string>",
"shippingRuleId": "<string>",
"shippingRule": {
"id": "<string>",
"name": "<string>",
"carrierId": "<string>",
"productId": "<string>",
"services": [
"<string>"
],
"senderAddressId": "<string>",
"returnShippingRuleId": "<string>",
"autoCreateReturnShipment": true
}
}
]
}JWT access token or API token (prefixed with zipp_)
Organization ID
Shipment ID
Parcel ID